PostgreSQL 8.0.7 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# ALTER TYPE

## Name

ALTER TYPE -- change the definition of a type

## Synopsis

    ALTER TYPE name OWNER TO new_owner

## Description

`ALTER TYPE` changes the definition of an existing type. The only currently available capability is changing the owner of a type.

## Parameters

`name`

  The name (possibly schema-qualified) of an existing type to alter.

`new_owner`

  The user name of the new owner of the type. You must be a superuser to change a type's owner.

## Examples

To change the owner of the user-defined type `email` to `joe`:

    ALTER TYPE email OWNER TO joe;

## Compatibility

There is no `ALTER TYPE` statement in the SQL standard.

Prev | Home | Next
ALTER TRIGGER | Up | ALTER USER